프로퍼티 | 타입 | 설명 | |
---|---|---|---|
CreateColorByteArrayOfSize | byte[] | ||
FromExisting | |||
GetBoundarySegment | List |
||
GetIdentificationData | string>.Dictionary | ||
GetNearestLevel | Autodesk.Revit.DB.Level | ||
GetTransform | Autodesk.Revit.DB.Transform | ||
InitSpace | void | ||
InitSpace | void | ||
InternalSetSpace | void | ||
Space | System | ||
Space | System | ||
Tessellate | void |
메소드 | 설명 | |
---|---|---|
ByPoint ( Point point ) : |
Create a `MEP Space based on a location
|
|
ByPointAndLevel ( Point point, Revit.Elements.Level level ) : |
Create a MEP Space based on a location and a level
|
|
FromElement ( Revit.Elements.Element element ) : |
Create a MEP Space from an existing MEP Space
|
|
Grid ( double step ) : List |
Return a grid of points in the space
|
|
IsInSpace ( Revit.Elements.Element element ) : bool |
Determine if an element lies within the volume of the Space
|
|
ToString ( ) : string |
OPTIONAL: Overriding ToString allows you to control what is displayed whenever the object's string representation is used. For example, ToString is called when the object is displayed in a Watch node.
|
메소드 | 설명 | |
---|---|---|
CreateColorByteArrayOfSize ( int size, byte red, byte green, byte blue, byte alpha ) : byte[] | ||
FromExisting ( Autodesk.Revit.DB space, bool isRevitOwned ) : |
Create a space from an existing reference
|
|
GetBoundarySegment ( ) : List |
||
GetIdentificationData ( ) : string>.Dictionary |
||
GetNearestLevel ( Autodesk.Revit.DB point ) : Autodesk.Revit.DB.Level |
Find the nearest level in the active document
|
|
GetTransform ( ) : Autodesk.Revit.DB.Transform | ||
InitSpace ( Autodesk.Revit.DB room ) : void |
Initialize a Space element
|
|
InitSpace ( Autodesk.Revit.DB level, Autodesk.Revit.DB point ) : void | ||
InternalSetSpace ( Autodesk.Revit.DB space ) : void |
Set the internal Element, ElementId, and UniqueId
|
|
Space ( Autodesk.Revit.DB space ) : System |
Create from an existing Revit Element
|
|
Space ( Autodesk.Revit.DB level, Autodesk.Revit.DB point ) : System | ||
Tessellate ( IRenderPackage package, |
public static ByPoint ( Point point ) : |
||
point | Point | Location point for the space |
리턴 |
public static ByPointAndLevel ( Point point, Revit.Elements.Level level ) : |
||
point | Point | Location point for the space |
level | Revit.Elements.Level | Level of the space |
리턴 |
public static FromElement ( Revit.Elements.Element element ) : |
||
element | Revit.Elements.Element | The origin element |
리턴 |
public IsInSpace ( Revit.Elements.Element element ) : bool | ||
element | Revit.Elements.Element | |
리턴 | bool |